# -*- coding: utf-8 -*-
"""Installer for the ecreall.handleexternaledition package."""

from setuptools import find_packages
from setuptools import setup


long_description = (
    open('README.rst').read()
    + '\n' +
    'Contributors\n'
    '============\n'
    + '\n' +
    open('CONTRIBUTORS.rst').read()
    + '\n' +
    open('CHANGES.rst').read()
    + '\n')


setup(
    name='ecreall.handleexternaledition',
    version='0.2a1',
    description="Avoid documentviewer and history generation when we save during a zopeedit session",
    long_description=long_description,
    # Get more from http://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers=[
        "Environment :: Web Environment",
        "Framework :: Plone",
        "Framework :: Plone :: 4.3",
        "Programming Language :: Python",
        "Programming Language :: Python :: 2.7",
    ],
    keywords='zopeedit documentviewer cmfeditions',
    author='Thomas Desvenain',
    author_email='thomasdesvenain@ecreall.com',
    url='http://pypi.python.org/pypi/ecreall.handleexternaledition',
    license='GPL',
    packages=find_packages('src', exclude=['ez_setup']),
    namespace_packages=['ecreall'],
    package_dir={'': 'src'},
    include_package_data=True,
    zip_safe=False,
    install_requires=[
        'plone.api',
        'setuptools',
    ],
    extras_require={
        'test': [
            'ecreall.helpers.testing',
            'plone.app.testing',
            'plone.app.robotframework',
        ],
    },
    entry_points="""
    [z3c.autoinclude.plugin]
    target = plone
    """,
)
